`timescale 1ns / 1ps
////////////////////////////////////////////////////////////////////////////////
// Company: 
// Engineer:
//
// Create Date:    11:45:49 05/10/05
// Design Name:    
// Module Name:    counter
// Project Name:   
// Target Device:  
// Tool versions:  
// Description:
//
// Dependencies:
// 
// Revision:
// Revision 0.01 - File Created
// Additional Comments:
// 
////////////////////////////////////////////////////////////////////////////////
module basic_counter(
	clock,         // Input, main clock
	reset, 			// Input, active-high reset
	counter_value	// Output, 8-bit counter value
);

    input clock;
    input reset;
    output [7:0] counter_value;

	 reg [7:0] counter_value;

    always @(posedge clock) begin
	    if( reset == 1 )
		 	counter_value = 0;
       else
	 		counter_value = counter_value + 1;
	 end

endmodule
